#!/usr/bin/env python
import sys
import re
import MySQLdb
def main():
    verbose = 0
    socket = '/tmp/rfp.sock'
    dbname = 'test'
    docreate = 0
    k = 1
    for arg in sys.argv[1:]:
        match = re.match("--(.*)=(.*)", arg)
        if match:
            exec "%s='%s'" % (match.group(1), match.group(2))
            continue
        b = int(arg)
        break
    db = MySQLdb.connect(unix_socket=socket,db=dbname)
    if docreate:
        c = db.cursor()
        q = 'drop table if exists ti, tt'
        if verbose: print "exec", q
        r = c.execute(q)
        assert r == 0
        db.commit()

        q = 'create table ti (a int primary key) engine=innodb'
        if verbose: print "exec", q
        r = c.execute(q)
        assert r == 0
        db.commit()

        q = 'create table tt (a int primary key) engine=tokudb'
        if verbose: print "exec", q
        r = c.execute(q)
        assert r == 0
        db.commit()

    else:
        k = int(k)
        c = db.cursor()

        c.execute('set tokudb_commit_sync=off')
        db.commit();
                 
        while 1:
            q = 'replace into ti values (%d)' % (k)
            if verbose: print "exec", q
            r = c.execute(q)
            if r != 1:
                print r
            q = 'replace into tt values (%d)' % (k)
            if verbose: print "exec", q
            r = c.execute(q)
            if r != 1:
                print r
            db.commit()
    return 0
sys.exit(main())

